
---
events:
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineSystem.cmake:12 (find_program)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_UNAME"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: true
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "uname"
    candidate_directories:
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/usr/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
      - "/bin/"
    searched_directories:
      - "/home/shin/.deno/bin/uname"
      - "/home/shin/.aftman/bin/uname"
      - "/home/shin/.rokit/bin/uname"
      - "/home/shin/.cargo/bin/uname"
      - "/usr/local/sbin/uname"
      - "/usr/local/bin/uname"
    found: "/usr/bin/uname"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineSystem.cmake:212 (message)"
      - "CMakeLists.txt:3 (project)"
    message: |
      The system is: Linux - 6.17.8-gentoo - x86_64
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeNinjaFindMake.cmake:5 (find_program)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_MAKE_PROGRAM"
    description: "Program used to build from build.ninja files."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: true
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "ninja-build"
      - "ninja"
      - "samu"
    candidate_directories:
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/usr/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/home/shin/.deno/bin/ninja-build"
      - "/home/shin/.deno/bin/ninja"
      - "/home/shin/.deno/bin/samu"
      - "/home/shin/.aftman/bin/ninja-build"
      - "/home/shin/.aftman/bin/ninja"
      - "/home/shin/.aftman/bin/samu"
      - "/home/shin/.rokit/bin/ninja-build"
      - "/home/shin/.rokit/bin/ninja"
      - "/home/shin/.rokit/bin/samu"
      - "/home/shin/.cargo/bin/ninja-build"
      - "/home/shin/.cargo/bin/ninja"
      - "/home/shin/.cargo/bin/samu"
      - "/usr/local/sbin/ninja-build"
      - "/usr/local/sbin/ninja"
      - "/usr/local/sbin/samu"
      - "/usr/local/bin/ninja-build"
      - "/usr/local/bin/ninja"
      - "/usr/local/bin/samu"
      - "/usr/bin/ninja-build"
    found: "/usr/bin/ninja"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:462 (find_file)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:500 (CMAKE_DETERMINE_COMPILER_ID_WRITE)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:8 (CMAKE_DETERMINE_COMPILER_ID_BUILD)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:122 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:3 (project)"
    mode: "file"
    variable: "src_in"
    description: "Path to a file."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: true
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "CMakeCCompilerId.c.in"
    candidate_directories:
      - "/usr/share/cmake/Modules/"
    found: "/usr/share/cmake/Modules/CMakeCCompilerId.c.in"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:122 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:3 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
      Compiler: /usr/bin/clang 
      Build flags: 
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.out"
      
      The C compiler identification is Clang, found in:
        /home/shin/projects/ssfrontend/build/meson-private/__CMake_compiler_info__/CMakeFiles/4.1.3/CompilerIdC/a.out
      
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_AR"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-ar"
      - "ar"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/llvm-ar"
      - "/home/shin/.deno/bin/llvm-ar"
      - "/home/shin/.aftman/bin/llvm-ar"
      - "/home/shin/.rokit/bin/llvm-ar"
      - "/home/shin/.cargo/bin/llvm-ar"
      - "/usr/local/sbin/llvm-ar"
      - "/usr/local/bin/llvm-ar"
      - "/opt/bin/llvm-ar"
    found: "/usr/lib/llvm/21/bin/llvm-ar"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_RANLIB"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-ranlib"
      - "ranlib"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/llvm-ranlib"
      - "/home/shin/.deno/bin/llvm-ranlib"
      - "/home/shin/.aftman/bin/llvm-ranlib"
      - "/home/shin/.rokit/bin/llvm-ranlib"
      - "/home/shin/.cargo/bin/llvm-ranlib"
      - "/usr/local/sbin/llvm-ranlib"
      - "/usr/local/bin/llvm-ranlib"
      - "/opt/bin/llvm-ranlib"
    found: "/usr/lib/llvm/21/bin/llvm-ranlib"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_STRIP"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-strip"
      - "strip"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/llvm-strip"
      - "/home/shin/.deno/bin/llvm-strip"
      - "/home/shin/.aftman/bin/llvm-strip"
      - "/home/shin/.rokit/bin/llvm-strip"
      - "/home/shin/.cargo/bin/llvm-strip"
      - "/usr/local/sbin/llvm-strip"
      - "/usr/local/bin/llvm-strip"
      - "/opt/bin/llvm-strip"
    found: "/usr/lib/llvm/21/bin/llvm-strip"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_LINKER"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "ld.lld"
      - "ld"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/ld.lld"
      - "/home/shin/.deno/bin/ld.lld"
      - "/home/shin/.aftman/bin/ld.lld"
      - "/home/shin/.rokit/bin/ld.lld"
      - "/home/shin/.cargo/bin/ld.lld"
      - "/usr/local/sbin/ld.lld"
      - "/usr/local/bin/ld.lld"
      - "/opt/bin/ld.lld"
      - "/usr/lib/llvm/21/bin/ld.lld"
    found: "/usr/lib/llvm/20/bin/ld.lld"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_NM"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-nm"
      - "nm"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/llvm-nm"
      - "/home/shin/.deno/bin/llvm-nm"
      - "/home/shin/.aftman/bin/llvm-nm"
      - "/home/shin/.rokit/bin/llvm-nm"
      - "/home/shin/.cargo/bin/llvm-nm"
      - "/usr/local/sbin/llvm-nm"
      - "/usr/local/bin/llvm-nm"
      - "/opt/bin/llvm-nm"
    found: "/usr/lib/llvm/21/bin/llvm-nm"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_OBJDUMP"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-objdump"
      - "objdump"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/llvm-objdump"
      - "/home/shin/.deno/bin/llvm-objdump"
      - "/home/shin/.aftman/bin/llvm-objdump"
      - "/home/shin/.rokit/bin/llvm-objdump"
      - "/home/shin/.cargo/bin/llvm-objdump"
      - "/usr/local/sbin/llvm-objdump"
      - "/usr/local/bin/llvm-objdump"
      - "/opt/bin/llvm-objdump"
    found: "/usr/lib/llvm/21/bin/llvm-objdump"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_OBJCOPY"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-objcopy"
      - "objcopy"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/llvm-objcopy"
      - "/home/shin/.deno/bin/llvm-objcopy"
      - "/home/shin/.aftman/bin/llvm-objcopy"
      - "/home/shin/.rokit/bin/llvm-objcopy"
      - "/home/shin/.cargo/bin/llvm-objcopy"
      - "/usr/local/sbin/llvm-objcopy"
      - "/usr/local/bin/llvm-objcopy"
      - "/opt/bin/llvm-objcopy"
    found: "/usr/lib/llvm/21/bin/llvm-objcopy"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_READELF"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-readelf"
      - "readelf"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/llvm-readelf"
      - "/home/shin/.deno/bin/llvm-readelf"
      - "/home/shin/.aftman/bin/llvm-readelf"
      - "/home/shin/.rokit/bin/llvm-readelf"
      - "/home/shin/.cargo/bin/llvm-readelf"
      - "/usr/local/sbin/llvm-readelf"
      - "/usr/local/bin/llvm-readelf"
      - "/opt/bin/llvm-readelf"
    found: "/usr/lib/llvm/21/bin/llvm-readelf"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_DLLTOOL"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-dlltool"
      - "dlltool"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/llvm-dlltool"
      - "/home/shin/.deno/bin/llvm-dlltool"
      - "/home/shin/.aftman/bin/llvm-dlltool"
      - "/home/shin/.rokit/bin/llvm-dlltool"
      - "/home/shin/.cargo/bin/llvm-dlltool"
      - "/usr/local/sbin/llvm-dlltool"
      - "/usr/local/bin/llvm-dlltool"
      - "/opt/bin/llvm-dlltool"
    found: "/usr/lib/llvm/21/bin/llvm-dlltool"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_ADDR2LINE"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-addr2line"
      - "addr2line"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/llvm-addr2line"
      - "/home/shin/.deno/bin/llvm-addr2line"
      - "/home/shin/.aftman/bin/llvm-addr2line"
      - "/home/shin/.rokit/bin/llvm-addr2line"
      - "/home/shin/.cargo/bin/llvm-addr2line"
      - "/usr/local/sbin/llvm-addr2line"
      - "/usr/local/bin/llvm-addr2line"
      - "/opt/bin/llvm-addr2line"
    found: "/usr/lib/llvm/21/bin/llvm-addr2line"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_TAPI"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "tapi"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/tapi"
      - "/home/shin/.deno/bin/tapi"
      - "/home/shin/.aftman/bin/tapi"
      - "/home/shin/.rokit/bin/tapi"
      - "/home/shin/.cargo/bin/tapi"
      - "/usr/local/sbin/tapi"
      - "/usr/local/bin/tapi"
      - "/opt/bin/tapi"
      - "/usr/lib/llvm/21/bin/tapi"
      - "/usr/lib/llvm/20/bin/tapi"
      - "/usr/lib/llvm/19/bin/tapi"
      - "/usr/lib/llvm/18/bin/tapi"
      - "/etc/eselect/wine/bin/tapi"
    found: false
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Compiler/Clang-FindBinUtils.cmake:26 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:201 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_C_COMPILER_AR"
    description: "LLVM archiver"
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-ar-21.1"
      - "llvm-ar-21"
      - "llvm-ar21"
      - "llvm-ar"
    candidate_directories:
      - "/usr/lib/llvm/21/bin/"
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/lib/llvm/21/bin/llvm-ar-21.1"
      - "/usr/bin/llvm-ar-21.1"
      - "/home/shin/.deno/bin/llvm-ar-21.1"
      - "/home/shin/.aftman/bin/llvm-ar-21.1"
      - "/home/shin/.rokit/bin/llvm-ar-21.1"
      - "/home/shin/.cargo/bin/llvm-ar-21.1"
      - "/usr/local/sbin/llvm-ar-21.1"
      - "/usr/local/bin/llvm-ar-21.1"
      - "/opt/bin/llvm-ar-21.1"
      - "/usr/lib/llvm/20/bin/llvm-ar-21.1"
      - "/usr/lib/llvm/19/bin/llvm-ar-21.1"
      - "/usr/lib/llvm/18/bin/llvm-ar-21.1"
      - "/etc/eselect/wine/bin/llvm-ar-21.1"
      - "/usr/lib/llvm/21/bin/llvm-ar-21"
      - "/usr/bin/llvm-ar-21"
      - "/home/shin/.deno/bin/llvm-ar-21"
      - "/home/shin/.aftman/bin/llvm-ar-21"
      - "/home/shin/.rokit/bin/llvm-ar-21"
      - "/home/shin/.cargo/bin/llvm-ar-21"
      - "/usr/local/sbin/llvm-ar-21"
      - "/usr/local/bin/llvm-ar-21"
      - "/opt/bin/llvm-ar-21"
      - "/usr/lib/llvm/20/bin/llvm-ar-21"
      - "/usr/lib/llvm/19/bin/llvm-ar-21"
      - "/usr/lib/llvm/18/bin/llvm-ar-21"
      - "/etc/eselect/wine/bin/llvm-ar-21"
      - "/usr/lib/llvm/21/bin/llvm-ar21"
      - "/usr/bin/llvm-ar21"
      - "/home/shin/.deno/bin/llvm-ar21"
      - "/home/shin/.aftman/bin/llvm-ar21"
      - "/home/shin/.rokit/bin/llvm-ar21"
      - "/home/shin/.cargo/bin/llvm-ar21"
      - "/usr/local/sbin/llvm-ar21"
      - "/usr/local/bin/llvm-ar21"
      - "/opt/bin/llvm-ar21"
      - "/usr/lib/llvm/20/bin/llvm-ar21"
      - "/usr/lib/llvm/19/bin/llvm-ar21"
      - "/usr/lib/llvm/18/bin/llvm-ar21"
      - "/etc/eselect/wine/bin/llvm-ar21"
    found: "/usr/lib/llvm/21/bin/llvm-ar"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Compiler/Clang-FindBinUtils.cmake:38 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:201 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_C_COMPILER_RANLIB"
    description: "Generate index for LLVM archive"
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "llvm-ranlib-21.1"
      - "llvm-ranlib-21"
      - "llvm-ranlib21"
      - "llvm-ranlib"
    candidate_directories:
      - "/usr/lib/llvm/21/bin/"
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/lib/llvm/21/bin/llvm-ranlib-21.1"
      - "/usr/bin/llvm-ranlib-21.1"
      - "/home/shin/.deno/bin/llvm-ranlib-21.1"
      - "/home/shin/.aftman/bin/llvm-ranlib-21.1"
      - "/home/shin/.rokit/bin/llvm-ranlib-21.1"
      - "/home/shin/.cargo/bin/llvm-ranlib-21.1"
      - "/usr/local/sbin/llvm-ranlib-21.1"
      - "/usr/local/bin/llvm-ranlib-21.1"
      - "/opt/bin/llvm-ranlib-21.1"
      - "/usr/lib/llvm/20/bin/llvm-ranlib-21.1"
      - "/usr/lib/llvm/19/bin/llvm-ranlib-21.1"
      - "/usr/lib/llvm/18/bin/llvm-ranlib-21.1"
      - "/etc/eselect/wine/bin/llvm-ranlib-21.1"
      - "/usr/lib/llvm/21/bin/llvm-ranlib-21"
      - "/usr/bin/llvm-ranlib-21"
      - "/home/shin/.deno/bin/llvm-ranlib-21"
      - "/home/shin/.aftman/bin/llvm-ranlib-21"
      - "/home/shin/.rokit/bin/llvm-ranlib-21"
      - "/home/shin/.cargo/bin/llvm-ranlib-21"
      - "/usr/local/sbin/llvm-ranlib-21"
      - "/usr/local/bin/llvm-ranlib-21"
      - "/opt/bin/llvm-ranlib-21"
      - "/usr/lib/llvm/20/bin/llvm-ranlib-21"
      - "/usr/lib/llvm/19/bin/llvm-ranlib-21"
      - "/usr/lib/llvm/18/bin/llvm-ranlib-21"
      - "/etc/eselect/wine/bin/llvm-ranlib-21"
      - "/usr/lib/llvm/21/bin/llvm-ranlib21"
      - "/usr/bin/llvm-ranlib21"
      - "/home/shin/.deno/bin/llvm-ranlib21"
      - "/home/shin/.aftman/bin/llvm-ranlib21"
      - "/home/shin/.rokit/bin/llvm-ranlib21"
      - "/home/shin/.cargo/bin/llvm-ranlib21"
      - "/usr/local/sbin/llvm-ranlib21"
      - "/usr/local/bin/llvm-ranlib21"
      - "/opt/bin/llvm-ranlib21"
      - "/usr/lib/llvm/20/bin/llvm-ranlib21"
      - "/usr/lib/llvm/19/bin/llvm-ranlib21"
      - "/usr/lib/llvm/18/bin/llvm-ranlib21"
      - "/etc/eselect/wine/bin/llvm-ranlib21"
    found: "/usr/lib/llvm/21/bin/llvm-ranlib"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Compiler/Clang-FindBinUtils.cmake:50 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:201 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_C_COMPILER_CLANG_SCAN_DEPS"
    description: "`clang-scan-deps` dependency scanner"
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "clang-scan-deps-21.1"
      - "clang-scan-deps-21"
      - "clang-scan-deps21"
      - "clang-scan-deps"
    candidate_directories:
      - "/usr/lib/llvm/21/bin/"
      - "/usr/bin/"
      - "/home/shin/.deno/bin/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/lib/llvm/21/bin/clang-scan-deps-21.1"
      - "/usr/bin/clang-scan-deps-21.1"
      - "/home/shin/.deno/bin/clang-scan-deps-21.1"
      - "/home/shin/.aftman/bin/clang-scan-deps-21.1"
      - "/home/shin/.rokit/bin/clang-scan-deps-21.1"
      - "/home/shin/.cargo/bin/clang-scan-deps-21.1"
      - "/usr/local/sbin/clang-scan-deps-21.1"
      - "/usr/local/bin/clang-scan-deps-21.1"
      - "/opt/bin/clang-scan-deps-21.1"
      - "/usr/lib/llvm/20/bin/clang-scan-deps-21.1"
      - "/usr/lib/llvm/19/bin/clang-scan-deps-21.1"
      - "/usr/lib/llvm/18/bin/clang-scan-deps-21.1"
      - "/etc/eselect/wine/bin/clang-scan-deps-21.1"
      - "/usr/lib/llvm/21/bin/clang-scan-deps-21"
      - "/usr/bin/clang-scan-deps-21"
      - "/home/shin/.deno/bin/clang-scan-deps-21"
      - "/home/shin/.aftman/bin/clang-scan-deps-21"
      - "/home/shin/.rokit/bin/clang-scan-deps-21"
      - "/home/shin/.cargo/bin/clang-scan-deps-21"
      - "/usr/local/sbin/clang-scan-deps-21"
      - "/usr/local/bin/clang-scan-deps-21"
      - "/opt/bin/clang-scan-deps-21"
      - "/usr/lib/llvm/20/bin/clang-scan-deps-21"
      - "/usr/lib/llvm/19/bin/clang-scan-deps-21"
      - "/usr/lib/llvm/18/bin/clang-scan-deps-21"
      - "/etc/eselect/wine/bin/clang-scan-deps-21"
      - "/usr/lib/llvm/21/bin/clang-scan-deps21"
      - "/usr/bin/clang-scan-deps21"
      - "/home/shin/.deno/bin/clang-scan-deps21"
      - "/home/shin/.aftman/bin/clang-scan-deps21"
      - "/home/shin/.rokit/bin/clang-scan-deps21"
      - "/home/shin/.cargo/bin/clang-scan-deps21"
      - "/usr/local/sbin/clang-scan-deps21"
      - "/usr/local/bin/clang-scan-deps21"
      - "/opt/bin/clang-scan-deps21"
      - "/usr/lib/llvm/20/bin/clang-scan-deps21"
      - "/usr/lib/llvm/19/bin/clang-scan-deps21"
      - "/usr/lib/llvm/18/bin/clang-scan-deps21"
      - "/etc/eselect/wine/bin/clang-scan-deps21"
    found: "/usr/lib/llvm/21/bin/clang-scan-deps"
    search_context:
      ENV{PATH}:
        - "/home/shin/.deno/bin"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:83 (try_compile)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:3 (project)"
    checks:
      - "Detecting C compiler ABI info"
    directories:
      source: "/home/shin/projects/ssfrontend/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-2cs5wI"
      binary: "/home/shin/projects/ssfrontend/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-2cs5wI"
    cmakeVariables:
      CMAKE_C_FLAGS: ""
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: ""
    buildResult:
      variable: "CMAKE_C_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/home/shin/projects/ssfrontend/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-2cs5wI'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_06bbc
        [1/2] /usr/bin/clang   -v -MD -MT CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -MF CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o.d -o CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake/Modules/CMakeCCompilerABI.c
        clang version 21.1.6
        Target: x86_64-pc-linux-gnu
        Thread model: posix
        InstalledDir: /usr/lib/llvm/21/bin
        Configuration file: /etc/clang/21/x86_64-pc-linux-gnu-clang.cfg
        System configuration file directory: /etc/clang/21
        User configuration file directory: /home/shin/.config/clang
        Selected GCC installation: /usr/lib/gcc/x86_64-pc-linux-gnu/15
        Candidate multilib: .;@m64
        Candidate multilib: 32;@m32
        Selected multilib: .;@m64
        Found HIP installation: /usr, version 7.1.52801
         (in-process)
         "/usr/lib/llvm/21/bin/clang-21" -cc1 -triple x86_64-pc-linux-gnu -emit-obj -disable-free -clear-ast-before-backend -disable-llvm-verifier -discard-value-names -main-file-name CMakeCCompilerABI.c -mrelocation-model pic -pic-level 2 -pic-is-pie -mframe-pointer=all -fmath-errno -ffp-contract=on -fno-rounding-math -mconstructor-aliases -funwind-tables=2 -target-cpu x86-64 -tune-cpu generic -debugger-tuning=gdb -fdebug-compilation-dir=/home/shin/projects/ssfrontend/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-2cs5wI -v -fcoverage-compilation-dir=/home/shin/projects/ssfrontend/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-2cs5wI -resource-dir /usr/lib/llvm/21/bin/../../../../lib/clang/21 -dependency-file CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o.d -MT CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -sys-header-deps -include /usr/include/gentoo/fortify.h -include /usr/include/gentoo/maybe-stddefs.h -internal-isystem /usr/lib/llvm/21/bin/../../../../lib/clang/21/include -internal-isystem /usr/local/include -internal-isystem /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/include -internal-externc-isystem /include -internal-externc-isystem /usr/include -ferror-limit 19 -stack-protector 2 -fstack-clash-protection -fcf-protection=full -fgnuc-version=4.2.1 -fskip-odr-check-in-gmf -D__GCC_HAVE_DWARF2_CFI_ASM=1 -o CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -x c /usr/share/cmake/Modules/CMakeCCompilerABI.c
        clang -cc1 version 21.1.6 based upon LLVM 21.1.6 default target x86_64-pc-linux-gnu
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/include"
        ignoring nonexistent directory "/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib/llvm/21/bin/../../../../lib/clang/21/include
         /usr/local/include
         /usr/include
        End of search list.
        [2/2] : && /usr/bin/clang  -v -Wl,-v CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -o cmTC_06bbc   && :
        clang version 21.1.6
        Target: x86_64-pc-linux-gnu
        Thread model: posix
        InstalledDir: /usr/lib/llvm/21/bin
        Configuration file: /etc/clang/21/x86_64-pc-linux-gnu-clang.cfg
        System configuration file directory: /etc/clang/21
        User configuration file directory: /home/shin/.config/clang
        Selected GCC installation: /usr/lib/gcc/x86_64-pc-linux-gnu/15
        Candidate multilib: .;@m64
        Candidate multilib: 32;@m32
        Selected multilib: .;@m64
        Found HIP installation: /usr, version 7.1.52801
         "/usr/bin/x86_64-pc-linux-gnu-ld.bfd" --hash-style=gnu --eh-frame-hdr -m elf_x86_64 -pie -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_06bbc /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o -L/usr/lib/gcc/x86_64-pc-linux-gnu/15 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64 -L/lib/../lib64 -L/usr/lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib -L/lib -L/usr/lib -z relro -z now -v CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o
        GNU ld (Gentoo 2.45.1 p1) 2.45.1
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:217 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:3 (project)"
    message: |
      Parsed C implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib/llvm/21/bin/../../../../lib/clang/21/include]
          add: [/usr/local/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib/llvm/21/bin/../../../../lib/clang/21/include] ==> [/usr/lib/clang/21/include]
        collapse include dir [/usr/local/include] ==> [/usr/local/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/lib/clang/21/include;/usr/local/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:253 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:3 (project)"
    message: |
      Parsed C implicit link information:
        link line regex: [^( *|.*[/\\])(ld[0-9]*(|\\.[a-rt-z][a-z]*|\\.s[a-np-z][a-z]*|\\.so[a-z]+)|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        linker tool regex: [^[ 	]*(->|")?[ 	]*(([^"]*[/\\])?(ld[0-9]*(|\\.[a-rt-z][a-z]*|\\.s[a-np-z][a-z]*|\\.so[a-z]+)))("|,| |$)]
        ignore line: [Change Dir: '/home/shin/projects/ssfrontend/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-2cs5wI']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/bin/ninja -v cmTC_06bbc]
        ignore line: [[1/2] /usr/bin/clang   -v -MD -MT CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -MF CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o.d -o CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake/Modules/CMakeCCompilerABI.c]
        ignore line: [clang version 21.1.6]
        ignore line: [Target: x86_64-pc-linux-gnu]
        ignore line: [Thread model: posix]
        ignore line: [InstalledDir: /usr/lib/llvm/21/bin]
        ignore line: [Configuration file: /etc/clang/21/x86_64-pc-linux-gnu-clang.cfg]
        ignore line: [System configuration file directory: /etc/clang/21]
        ignore line: [User configuration file directory: /home/shin/.config/clang]
        ignore line: [Selected GCC installation: /usr/lib/gcc/x86_64-pc-linux-gnu/15]
        ignore line: [Candidate multilib: .]
        ignore line: [@m64]
        ignore line: [Candidate multilib: 32]
        ignore line: [@m32]
        ignore line: [Selected multilib: .]
        ignore line: [@m64]
        ignore line: [Found HIP installation: /usr  version 7.1.52801]
        ignore line: [ (in-process)]
        ignore line: [ "/usr/lib/llvm/21/bin/clang-21" -cc1 -triple x86_64-pc-linux-gnu -emit-obj -disable-free -clear-ast-before-backend -disable-llvm-verifier -discard-value-names -main-file-name CMakeCCompilerABI.c -mrelocation-model pic -pic-level 2 -pic-is-pie -mframe-pointer=all -fmath-errno -ffp-contract=on -fno-rounding-math -mconstructor-aliases -funwind-tables=2 -target-cpu x86-64 -tune-cpu generic -debugger-tuning=gdb -fdebug-compilation-dir=/home/shin/projects/ssfrontend/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-2cs5wI -v -fcoverage-compilation-dir=/home/shin/projects/ssfrontend/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-2cs5wI -resource-dir /usr/lib/llvm/21/bin/../../../../lib/clang/21 -dependency-file CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o.d -MT CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -sys-header-deps -include /usr/include/gentoo/fortify.h -include /usr/include/gentoo/maybe-stddefs.h -internal-isystem /usr/lib/llvm/21/bin/../../../../lib/clang/21/include -internal-isystem /usr/local/include -internal-isystem /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/include -internal-externc-isystem /include -internal-externc-isystem /usr/include -ferror-limit 19 -stack-protector 2 -fstack-clash-protection -fcf-protection=full -fgnuc-version=4.2.1 -fskip-odr-check-in-gmf -D__GCC_HAVE_DWARF2_CFI_ASM=1 -o CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -x c /usr/share/cmake/Modules/CMakeCCompilerABI.c]
        ignore line: [clang -cc1 version 21.1.6 based upon LLVM 21.1.6 default target x86_64-pc-linux-gnu]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/include"]
        ignore line: [ignoring nonexistent directory "/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib/llvm/21/bin/../../../../lib/clang/21/include]
        ignore line: [ /usr/local/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [[2/2] : && /usr/bin/clang  -v -Wl -v CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -o cmTC_06bbc   && :]
        ignore line: [clang version 21.1.6]
        ignore line: [Target: x86_64-pc-linux-gnu]
        ignore line: [Thread model: posix]
        ignore line: [InstalledDir: /usr/lib/llvm/21/bin]
        ignore line: [Configuration file: /etc/clang/21/x86_64-pc-linux-gnu-clang.cfg]
        ignore line: [System configuration file directory: /etc/clang/21]
        ignore line: [User configuration file directory: /home/shin/.config/clang]
        ignore line: [Selected GCC installation: /usr/lib/gcc/x86_64-pc-linux-gnu/15]
        ignore line: [Candidate multilib: .]
        ignore line: [@m64]
        ignore line: [Candidate multilib: 32]
        ignore line: [@m32]
        ignore line: [Selected multilib: .]
        ignore line: [@m64]
        ignore line: [Found HIP installation: /usr  version 7.1.52801]
        link line: [ "/usr/bin/x86_64-pc-linux-gnu-ld.bfd" --hash-style=gnu --eh-frame-hdr -m elf_x86_64 -pie -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_06bbc /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o -L/usr/lib/gcc/x86_64-pc-linux-gnu/15 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64 -L/lib/../lib64 -L/usr/lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib -L/lib -L/usr/lib -z relro -z now -v CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o]
          arg [/usr/bin/x86_64-pc-linux-gnu-ld.bfd] ==> ignore
          arg [--hash-style=gnu] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [-m] ==> ignore
          arg [elf_x86_64] ==> ignore
          arg [-pie] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/lib64/ld-linux-x86-64.so.2] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_06bbc] ==> ignore
          arg [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o] ==> obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o]
          arg [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o] ==> obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o]
          arg [/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o] ==> obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o]
          arg [-L/usr/lib/gcc/x86_64-pc-linux-gnu/15] ==> dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15]
          arg [-L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64] ==> dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64]
          arg [-L/lib/../lib64] ==> dir [/lib/../lib64]
          arg [-L/usr/lib64] ==> dir [/usr/lib64]
          arg [-L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib] ==> dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib]
          arg [-L/lib] ==> dir [/lib]
          arg [-L/usr/lib] ==> dir [/usr/lib]
          arg [-zrelro] ==> ignore
          arg [-znow] ==> ignore
          arg [-v] ==> ignore
          arg [CMakeFiles/cmTC_06bbc.dir/CMakeCCompilerABI.c.o] ==> ignore
          arg [-lgcc] ==> lib [gcc]
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--no-as-needed] ==> ignore
          arg [-lc] ==> lib [c]
          arg [-lgcc] ==> lib [gcc]
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--no-as-needed] ==> ignore
          arg [/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o] ==> obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o]
          arg [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o] ==> obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o]
        ignore line: [GNU ld (Gentoo 2.45.1 p1) 2.45.1]
        ignore line: []
        ignore line: []
        collapse obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o] ==> [/usr/lib64/Scrt1.o]
        collapse obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o] ==> [/usr/lib64/crti.o]
        collapse obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o] ==> [/usr/lib64/crtn.o]
        collapse library dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15] ==> [/usr/lib/gcc/x86_64-pc-linux-gnu/15]
        collapse library dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64] ==> [/usr/lib64]
        collapse library dir [/lib/../lib64] ==> [/lib64]
        collapse library dir [/usr/lib64] ==> [/usr/lib64]
        collapse library dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib] ==> [/usr/x86_64-pc-linux-gnu/lib]
        collapse library dir [/lib] ==> [/lib]
        collapse library dir [/usr/lib] ==> [/usr/lib]
        implicit libs: [gcc;gcc_s;c;gcc;gcc_s]
        implicit objs: [/usr/lib64/Scrt1.o;/usr/lib64/crti.o;/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o;/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o;/usr/lib64/crtn.o]
        implicit dirs: [/usr/lib/gcc/x86_64-pc-linux-gnu/15;/usr/lib64;/lib64;/usr/x86_64-pc-linux-gnu/lib;/lib;/usr/lib]
        implicit fwks: []
      
      
...
